{
    Susie Plug-in header
}

unit spi_api;

interface

uses Windows;

const
  SPI_ERROR_NOT_IMPLEMENTED = (-1); // ̋@\͖
  SPI_ERROR_SUCCESS         = 0;    // I
  SPI_ERROR_CANCEL_EXPAND   = 1;    // R[obN֐0Ԃ
  SPI_ERROR_UNKNOWN_FORMAT  = 2;    // m̃tH[}bg
  SPI_ERROR_BROKEN_DATA     = 3;    // f[^Ă
  SPI_ERROR_ALLOCATE_MEMORY = 4;    // [mۏoȂ
  SPI_ERROR_MEMORY          = 5;    // [G[iLockoȂj
  SPI_ERROR_FILE_READ       = 6;    // t@C[hG[
  SPI_ERROR_WINDOW          = 7;    // JȂ (J)
  SPI_ERROR_INTERNAL        = 8;    // G[
  SPI_ERROR_FILE_WRITE      = 9;    // ݃G[ (J)
  SPI_ERROR_END_OF_FILE     = 10;   // t@CI[ (J)

type
  unsigned_long = Cardinal;
  unsigned_int = Cardinal;
  time_t = Longint;

  // TPictureInfo
  PPictureInfo = ^TPictureInfo;
  TPictureInfo = packed record
    left:       Longint;
    top:        Longint;
    width:      Longint;
    height:     Longint;
    x_density:  Word;
    y_density:  Word;
    colorDepth: Smallint;
    hInfo:      HLOCAL;
  end;

  // TFileInfo
  PFileInfo = ^TFileInfo;
  TFileInfo = packed record
    method:    array[0..7] of Char;
    position:  unsigned_long;
    compsize:  unsigned_long;
    filesize:  unsigned_long;
    timestamp: time_t;
    path:      array[0..199] of Char;
    filename:  array[0..199] of Char;
    crc:       unsigned_long;
  end;

  TProgressCallback = function (nNum, nDemon: Integer; lData : Longint): Integer; stdcall;

  // common
  TGetPluginInfo = function (infono: Integer; buf: PChar; buflen: Integer): Integer; stdcall;
  TIsSupported = function (filename: LPSTR; dw: DWORD): Integer; stdcall;
  TConfigurationDlg = function (Parent: HWND; fnc: Integer): Integer; stdcall;

  // 00IN
  TGetPictureInfo = function (buf: LPSTR; len: Longint; blag: unsigned_int;
    var PictureInfo: TPictureInfo): Integer; stdcall;
  TGetPicture = function (buf: LPSTR; len: Longint; flag: unsigned_int; var HBInfo: THandle;
    var HBm: THandle; ProgressCallback: TProgressCallBack; lData: Longint): Integer; stdcall;
  TGetPreview = function (buf: LPSTR; len: Longint; flg: unsigned_int; var HBInfo: THandle;
    var HBm: THandle; ProgressCallback: TProgressCallBack; lData: Longint): Integer; stdcall;

  // 00AM
  TGetArchiveInfo = function (buf: LPSTR; len: Longint; flag: unsigned_int;
    var hinf: HLOCAL): Integer; stdcall;
  TGetFileInfo = function (buf: LPSTR; len: Longint; filename: LPSTR; flag: unsigned_int;
    var Info: TFileInfo): Integer; stdcall;
  TGetFile = function (src: LPSTR; len: Longint; dest: LPSTR; flag: unsigned_int;
    ProgressCallback: TProgressCallback; lData: Longint): Integer; stdcall;

implementation
end.

